Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590738 - Review Request: lunatic-python - Two-way bridge between Python and Lua
Summary: Review Request: lunatic-python - Two-way bridge between Python and Lua
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Randall "Randy" Berry
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 15:20 UTC by Gwyn Ciesla
Modified: 2010-07-13 15:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-13 15:53:31 UTC
randyn3lrx: fedora-review?


Attachments (Terms of Use)
Failed build log from Koji (deleted)
2010-06-10 21:09 UTC, Randall "Randy" Berry
no flags Details

Description Gwyn Ciesla 2010-05-10 15:20:28 UTC
Lunatic Python is a two-way bridge between Python and Lua, allowing these
languages to intercommunicate. Being two-way means that it allows Lua inside
Python, Python inside Lua, Lua inside Python inside Lua, Python inside Lua
inside Python, and so on.

SPEC: http://zanoni.jcomserv.net/fedora/lunatic-python/lunatic-python.spec
SRPM: http://zanoni.jcomserv.net/fedora/lunatic-python/lunatic-python-1.0-3.fc12.src.rpm

Comment 1 Gwyn Ciesla 2010-05-10 15:29:43 UTC
Adding Lua maintainer.  This depends on a patch added in lua-5.1.4-5.

Comment 2 Randall "Randy" Berry 2010-06-09 21:56:58 UTC
I'll take this one. Review in progress

Comment 3 Randall "Randy" Berry 2010-06-09 23:45:54 UTC
NOTE: This is my first Shared Object Review. Critique is welcome. 

================================
Key:

[P] Pass
[F] Fail [n]
[-] Not applicable
[?] Questions (see comments)

================================

[F]  MUST: rpmlint must be run on every package. The output should be
     posted in the review. 2 errors 10 warnings see below. [1]

lunatic-python.i686: W: private-shared-object-provides /usr/lib/python2.6/site-packages/lua.so lua.so
A shared object soname provides is provided by a file in a path
from which other packages should not directly load shared objects from.
Such shared objects should thus not be depended on and they should not
result in provides in the containing package.  Get rid of the provides
if appropriate, for example by filtering it out during build.  Note
that in some cases this may require disabling rpmbuild's internal
dependency generator.

lunatic-python.i686: W: private-shared-object-provides /usr/lib/python2.6/site-packages/lua-python.so lua-python.so
A shared object soname provides is provided by a file in a path from
which other packages should not directly load shared objects from.
Such shared objects should thus not be depended on and they should not
result in provides in the containing package.  Get rid of the provides
if appropriate, for example by filtering it out during build.
Note that in some cases this may require disabling rpmbuild's internal
dependency generator.

lunatic-python.i686: E: non-standard-executable-perm /usr/lib/python2.6/site-packages/lua.so 0775L
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

lunatic-python.i686: E: non-standard-executable-perm /usr/lib/python2.6/site-packages/lua-python.so 0775L
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

lunatic-python.src:49: W: macro-in-comment %{buildroot}
There is a unescaped macro after a shell style comment in the specfile.
Macros are expanded everywhere, so check if it can cause a problem in
this case and escape the macro with another leading % if appropriate.

lunatic-python.src:49: W: macro-in-comment %{python_sitelib}
There is a unescaped macro after a shell style comment in the specfile.
Macros are expanded everywhere, so check if it can cause a problem in
this case and escape the macro with another leading % if appropriate.

lunatic-python.src:49: W: macro-in-comment %{version}
There is a unescaped macro after a shell style comment in the specfile.
Macros are expanded everywhere, so check if it can cause a problem in
this case and escape the macro with another leading % if appropriate.

lunatic-python.src:49: W: macro-in-comment %{pyver}
There is a unescaped macro after a shell style comment in the specfile.
Macros are expanded everywhere, so check if it can cause a problem in
this case and escape the macro with another leading % if appropriate.

(none): E: error while reading /var/lib/mock/fedora-13-i386/result/lunatic-python-1.0.tar.bz2: error reading package header
lunatic-python.spec:49: W: macro-in-comment %{buildroot}
There is a unescaped macro after a shell style comment in the specfile.
Macros are expanded everywhere, so check if it can cause a problem in
this case and escape the macro with another leading % if appropriate.

lunatic-python.spec:49: W: macro-in-comment %{python_sitelib}
There is a unescaped macro after a shell style comment in the specfile.
Macros are expanded everywhere, so check if it can cause a problem in
this case and escape the macro with another leading % if appropriate.

lunatic-python.spec:49: W: macro-in-comment %{version}
There is a unescaped macro after a shell style comment in the specfile.
Macros are expanded everywhere, so check if it can cause a problem in
this case and escape the macro with another leading % if appropriate.

lunatic-python.spec:49: W: macro-in-comment %{pyver}
There is a unescaped macro after a shell style comment in the specfile.
Macros are expanded everywhere, so check if it can cause a problem in
this case and escape the macro with another leading % if appropriate.

3 packages and 1 specfiles checked; 2 errors, 10 warnings.


[P]  MUST: The package must be named according to the Package Naming
     Guidelines.

[P]  MUST: The spec file name must match the base package %{name},
     in the format %{name}.spec unless your package has an exemption.

[P]  MUST: The package must meet the Packaging Guidelines.

[P]  MUST: The package must be licensed with a Fedora approved
     license and meet the Licensing Guidelines.

     LGPLv2+

[P]  MUST: The License field in the package spec file must match
     the actual license.

     LGPLv2+

[P]  MUST: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of
     the license(s) for the package must be included in %doc.

[P]  MUST: The spec file must be written in American English.

[P]  MUST: The spec file for the package MUST be legible.

[P]  MUST: The sources used to build the package must match the upstream
     source, as provided in the spec URL. Reviewers should use md5sum for
     this task. If no upstream URL can be specified for this package,
     please see the Source URL Guidelines for how to deal with this.

     4044274f14e57f26384e2f9cfc348f30  Downloads/lunatic-python-1.0.tar.bz2
     4044274f14e57f26384e2f9cfc348f30  /var/lib/mock/fedora-13-i386/result
     /lunatic-python-1.0.tar.bz2

[P]  MUST: The package MUST successfully compile and build into binary
     rpms on at least one primary architecture.

[F]  MUST: If the package does not successfully compile, build or work on
     an architecture, then those architectures should be listed in the spec
     in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug
     filed in bugzilla, describing the reason that the package does not
     compile/build/work on that architecture. The bug number MUST be
     placed in a comment, next to the corresponding ExcludeArch line.
     See [2]

     Failed X86_64 Build:
     https://koji.fedoraproject.org/koji/taskinfo?taskID=2241570
     
     Builds fine on i686 F12-F13-Rawhide

[P]  MUST: All build dependencies must be listed in BuildRequires,
     except for any that are listed in the exceptions section of the
     Packaging Guidelines ; inclusion of those as BuildRequires is
     optional. Apply common sense.

[-]  MUST: The spec file MUST handle locales properly. This is done by
     using the %find_lang macro. Using %{_datadir}/locale/[ ] is strictly
     forbidden.

[P]  MUST: Every binary RPM package (or sub package) which stores shared
     library files (not just symlinks) in any of the dynamic linker's
     default paths, must call ldconfig in %post and %postun.

[P]  MUST: If the package is designed to be relocatable, the packager
     must state this fact in the request for review, along with the
     rationalization for relocation of that specific package.
     Without this, use of Prefix: /usr is considered a blocker.

[P]  MUST: A package must own all directories that it creates. If it does not
     create a directory that it uses, then it should require a package which
     does create that directory. Refer to the Guidelines for examples.

[P]  MUST: A package must not contain any duplicate files in the %files
     listing.

[F]  MUST: Permissions on files must be set properly. Executables should
     be set with executable permissions, for example. Every %files section
     must include a %defattr(...) line. See [3]

[P]  MUST: Each package must have a %clean section, which contains
     rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).

[P]  MUST: Each package must consistently use macros, as described in the
     macros section of Packaging Guidelines.

[P]  MUST: The package must contain code, or permissible content.
     This is described in detail in the code vs. content section
     of Packaging Guidelines.

[P]  MUST: Large documentation files should go in a -doc sub package.
     (The definition of large is left up to the packager's best judgement,
     but is not restricted to size. Large can refer to either size or quantity)

[P]  MUST: If a package includes something as %doc, it must not affect the
     runtime of the application. To summarize: If it is in %doc, the program
     must run properly if it is not present.

[-]  MUST: Header files must be in a -devel package.

[-]  MUST: Static libraries must be in a -static package.

[-]  MUST: Packages containing pkgconfig(.pc) files must 'Requires:
     pkgconfig' (for directory ownership and usability).

[P]  MUST: If a package contains library files with a suffix
     (e.g. libfoo.so.1.1), then library files that end in .so
     (without suffix) must go in a -devel package.

[-]  MUST: In the vast majority of cases, devel packages must require
     the base package using a fully versioned dependency: Requires:
     %{name} = %{version}-%{release}

[-]  MUST: Packages must NOT contain any .la libtool archives,
     these should be removed in the spec.

[-]  MUST: Packages containing GUI applications must include a
     %{name}.desktop file,and that file must be properly installed
     with desktop-file-install in the %install section. This is described
     in detail in the desktop files section of the Packaging Guidelines.
     If you feel that your packaged GUI application does not need a .desktop
     file, you must put a comment in the spec file with your explanation.

[P]  MUST: Packages must not own files or directories already owned by
     other packages. The rule of thumb here is that the first package
     to be installed should own the files or directories that other packages
     may rely upon. This means, for example, that no package in Fedora should
     ever share ownership with any of the files or directories owned by the
     file system or man package. If you feel that you have a good reason to
     own a file or directory that another package owns, then please present
     that at package review time.

[P]  MUST: At the beginning of %install, each package MUST run
     rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
     See Prepping BuildRoot For %install for details.

[P]  MUST: All file names in rpm packages must be valid UTF-8.

SHOULD Items:

[P]  Should build in mock.
[F]  Should build on all supported archs. Fails to build on x86_64
[-]  Should function as described.
[-]  Should have sane scriptlets.
[-]  Should have sub packages require base package with fully versioned depend.
[P]  Should have dist tag
[P]  Should package latest version
[?]  Check for outstanding bugs on package. (For core merge reviews) See [4]
     
     One Review Request. Appears to be inactive. Last report from 
     requester 2009-09-23 18:52:35 EDT Bug 524071 [4]

Issues:

1. rpmlint 3 packages and 1 specfiles checked; 2 errors, 10 warnings.
2. Failed x86_64 build
3. Permissions errors discovered with rpmlint
4. 1 existing request although it seems to be inactive. Perhaps requester
   lost interest? Bug 524071

Comment 4 Gwyn Ciesla 2010-06-10 18:55:07 UTC
Can you post the build.log from the failed x86_64 build?

Comment 5 Randall "Randy" Berry 2010-06-10 21:09:41 UTC
Created attachment 423056 [details]
Failed build log from Koji

Failed build log

Comment 6 Gwyn Ciesla 2010-06-29 13:55:05 UTC
Interesting.  I posted to the other review, to see if I can take that over, since it looks like a better-built RPM.

Comment 7 Gwyn Ciesla 2010-07-13 12:44:13 UTC
Silence from both reviewer and submitter, so I requested ownership and a branch to build.  We'll see.

Comment 8 Gwyn Ciesla 2010-07-13 15:53:31 UTC
Withdrawing, took ownership of a better version of this under 524071.  Thanks Randy!


Note You need to log in before you can comment on or make changes to this bug.